<p-panel header="Report Penerimaan Botol dan Tutup Botol" [toggleable]="false">
    <div *ngIf="!isview">
        <div style="width: 100%; height: 100%;">
            <div class="ui-g">
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <label>Periode</label>
                        <div>
                            <p-calendar inputId="date" name="date" [showIcon]="true" [(ngModel)]="date"
                                dateFormat="dd/mm/yy" [monthNavigator]="true" [yearNavigator]="true"
                                yearRange="2000:2999" [showIcon]="true" [disabled]="false">

                            </p-calendar>
                        </div>
                    </div>

                </div>
                <div class="ui-g-12">
                    <div class="ui-g-4">
                        <button type="button" class="btn btn-primary btn-block" (click)="print()">
                            <span class="fa fa-print"></span>&nbsp;Print
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div *ngIf="isview">
        <div>
            <button pButton type="submit" label="Download File" icon="fa-print"
                class="ui-button-primary flat-label-button" (click)="printReport()">
            </button>
            <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
            </button>
        </div>
        <div>
            <pdf-viewer [src]="pdfSrc" [render-text]="true" style="display: block;" [show-all]="true" ></pdf-viewer>
        </div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-dialog header="Pilih Cetakan" [(visible)]="modalPilihCeteakn" modal="true" [width]="400">
    <form name="Pilih" role="form" novalidate #editForm="ngForm">
        <div>
            <button pButton label="Excel" icon="fa-save" class="ui-button-primary flat-label-button"
                (click)="printExcel()">
            </button>
            <button pButton label="PDF" icon="fa-save" class="ui-button-primary flat-label-button" (click)="printPDF()">
            </button>
        </div>
    </form>
</p-dialog>